Skip to main content
POST
Simulate a deposit (sandbox only)
This endpoint is disabled for partner authentication in production.

Authorizations

X-Key-Id
string
header
required

This selects the registered RSA public key. Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature.

Headers

X-Key-Id
string
required

Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature. Sign the exact raw request bytes.

Example:

"prod-2026-02"

Path Parameters

storeId
string<uuid>
required

Body

application/json
depositType
enum<string>
Available options:
deposit,
onramp,
offramp
currency
string
Example:

"NGN"

amount
number
Example:

100

transferReference
string

Response

Accepted